{% unless text_area %}
  {% assign text_area = false %}
{% endunless %}

{% for text_custom in customization.customizations %}

  {% if text_custom.quantity <= 0 %}
    {% continue %}
  {% endif %}

  {% if text_area %}
    <textarea placeholder="{{ customization.name }}" name="customizations[][{{ customization.name }}]" type="textarea" id="{{ customization.name }}-customization-{{ forloop.index }}" rows="5" data-customization data-customization-price="{{ text_custom.price }}" data-customization-name="{{ customization.name }}"></textarea>
  {% else %}
    <input
      type="text"
      placeholder="{{ customization.name }}"
      name="customizations[][{{ customization.name }}]"
      id="{{ customization.name }}-customization-{{ forloop.index }}"
      data-customization
      data-customization-price="{{ text_custom.price }}"
      data-customization-name="{{ customization.name }}"
    />
  {% endif %}
{% endfor %}
